Package skyview.process

# Class Mosaicker

java.lang.Object
skyview.process.Processor
skyview.process.Mosaicker

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `AddingMosaicker`, `BackupMosaicker`, `IDMosaic`, `SubsetMosaicker`

public class Mosaicker extends Processor
A mosaicker is an object which creates a new image from a set of input images.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Mosaicker()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addPixels(String name, int count)`
`String`
`getDescription()`
Get a description of this component
`String`
`getName()`
Get the name of this component
`static String`
`ordinalSuffix(int n)`
Find appropriate ordinal suffix for a given integer.
`void`
`process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)`
Populate the pixel values of the output mosaic.
`protected void`
`setUsedImages()`
`void`
`updateHeader(nom.tam.fits.Header h)`
Describe the mosaicking of the image .
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mosaicker

public Mosaicker()

## Method Details

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### getName

public String getName()
Get the name of this component

### getDescription

public String getDescription()
Get a description of this component

### process

public void process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)
Populate the pixel values of the output mosaic. Note that the output image is assumed to be created prior to the mosaic call since its WCS will have been used extensively.

Specified by:
  `process` in class `Processor`
Parameters:
  `input` - An array of input images.
  `output` - The image whose data is to be filled.
  `osource` - An integer array giving the source image to be used for the output pixels. Note that depending upon the mosaicker used, source may be dimensioned as either nx*ny or (nx+1)*(ny+1).
  `samp` - The sampler to be used to sample the input images.
  `dSampler` - The sampler (if any) in the energy dimension.

### addPixels

protected void addPixels(String name, int count)

### setUsedImages

protected void setUsedImages()

### updateHeader

public void updateHeader(nom.tam.fits.Header h)
Describe the mosaicking of the image .

Specified by:
  `updateHeader` in class `Processor`

### ordinalSuffix

public static String ordinalSuffix(int n)
Find appropriate ordinal suffix for a given integer.